<?php
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

// Fetch current setting and escape for output
$saprfurl_hide_login_page = get_option('saprfurl_hide_login_page', 0);

// Handle form submission securely
if (isset($_SERVER['REQUEST_METHOD']) && $_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['saprfurl_save_settings'])) {

    $nonce = isset($_POST['saprfurl_nonce']) ? sanitize_text_field(wp_unslash($_POST['saprfurl_nonce'])) : '';
    if (!wp_verify_nonce($nonce, 'saprfurl_save_action')) {
        die(esc_html__('Security check failed', 'refineurl'));
    }

    $saprfurl_hide_login_page = isset($_POST['saprfurl_hide_login_page']) ? 1 : 0;
    update_option('saprfurl_hide_login_page', $saprfurl_hide_login_page);

    echo '<div class="updated notice"><p>' . esc_html__('Settings saved successfully.', 'refineurl') . '</p></div>';
}
?>

<div class="saprfurl-settings-area saprfurl-settings-page notice">
    <h2><?php echo esc_html__('Control login page status.', 'refineurl'); ?></h2>
    <form method="post">
        <?php wp_nonce_field('saprfurl_save_action', 'saprfurl_nonce'); ?>
        <input type="hidden" name="saprfurl_save_settings" value="1">

        <label class="switch">
            <p><?php echo esc_html__('Display', 'refineurl'); ?>&nbsp;&nbsp;</p>
            <input type="checkbox" name="saprfurl_hide_login_page" <?php checked($saprfurl_hide_login_page, 1); ?>>
            <span class="slider round"></span>
            <p><?php echo esc_html__('Hide', 'refineurl'); ?>&nbsp;&nbsp;</p>
        </label>
        <br /><br />
        <button type="submit" class="button button-primary">
            <?php echo esc_html__('Save Now', 'refineurl'); ?>
        </button>
    </form>
    <br />
</div>
